Index: /trunk/src/lib/gui/gl/glgui_widget.cc
===================================================================
--- /trunk/src/lib/gui/gl/glgui_widget.cc	(revision 8989)
+++ /trunk/src/lib/gui/gl/glgui_widget.cc	(revision 8990)
@@ -651,4 +651,54 @@
     else
       this->setForegroundColor(Color(r,g,b,a));
+  }
+
+
+    /**
+   * @brief sets the Foreground Texture for all States.
+   * @param texture the Texture.
+     */
+  void GLGuiWidget::setForegroundTexture(const Texture& texture)
+  {
+    for (unsigned int i = 0; i < GLGUI_STATE_COUNT; ++i)
+      setForegroundTexture(texture, (OrxGui::State)i);
+  }
+
+  /**
+   * @brief sets the Foreground Texture to all States.
+   * @param textureName the Texture's fileName.
+   */
+  void GLGuiWidget::setForegroundTexture(const std::string& textureName)
+  {
+    for (unsigned int i = 0; i < GLGUI_STATE_COUNT; ++i)
+      _style[i]._foreground.setDiffuseMap(textureName);
+    this->_currentStyle._foreground.setDiffuseMap(textureName);
+  }
+
+  /**
+   * @brief sets the Foreground Texture.
+   * @param texture the Texture.
+   * @param state the State to setup.
+   */
+  void GLGuiWidget::setForegroundTexture(const Texture& texture, OrxGui::State state)
+  {
+    _style[state]._background.setDiffuseMap(texture);
+    if (state == _state)
+      _currentStyle._background.setDiffuseMap(texture);
+  }
+
+
+
+  /**
+   * @brief sets the Foreground Texture.
+   * @param texture the Texture.
+   * @param stateName the State to setup.
+   */
+  void GLGuiWidget::setForegroundTexture(const std::string& textureName, const std::string& stateName)
+  {
+    OrxGui::State state;
+    if (getState(stateName, &state))
+      ; /// FIXME this->setForegroundTexture(textureName, state);
+    else
+      ; ///    this->setForegroundTexture(textureName);
   }
 
Index: /trunk/src/lib/gui/gl/glgui_widget.h
===================================================================
--- /trunk/src/lib/gui/gl/glgui_widget.h	(revision 8989)
+++ /trunk/src/lib/gui/gl/glgui_widget.h	(revision 8990)
@@ -192,4 +192,9 @@
     void setForegroundColorS(float r, float g, float b, float a, const std::string& stateName);
 
+    void setForegroundTexture(const Texture& texture);
+    void setForegroundTexture(const std::string& textureName);
+    void setForegroundTexture(const Texture& texture, OrxGui::State state);
+    void setForegroundTexture(const std::string& textureName, const std::string& stateName);
+
     void loadBackgroundMaterial(const Material& material);
     void loadBackgroundMaterial(const Material& material, OrxGui::State state);
Index: /trunk/src/util/hud.cc
===================================================================
--- /trunk/src/util/hud.cc	(revision 8989)
+++ /trunk/src/util/hud.cc	(revision 8990)
@@ -49,4 +49,5 @@
   notifier->setAbsCoor2D(100,100);
 
+  this->subscribeEvent(ES_ALL, EV_VIDEO_RESIZE);
 
 
@@ -192,18 +193,15 @@
 }
 
-
-void Hud::tick(float dt)
-{
-  if (this->resY != State::getResY() || this->resX != State::getResX())
-  {
+void Hud::draw() const
+{
+  //  GLGuiWidget::draw();
+}
+
+
+void Hud::process(const Event &event)
+{
+  if (event.type == EV_VIDEO_RESIZE)
     this->updateResolution();
-  }
-
-}
-
-void Hud::draw() const
-{
-  //  GLGuiWidget::draw();
-}
-
-
+}
+
+
Index: /trunk/src/util/hud.h
===================================================================
--- /trunk/src/util/hud.h	(revision 8989)
+++ /trunk/src/util/hud.h	(revision 8990)
@@ -8,4 +8,5 @@
 
 #include "element_2d.h"
+#include "event_listener.h"
 // FORWARD DECLARATION
 class TiXmlElement;
@@ -20,5 +21,5 @@
 
 //! A class that renders a HUD (Heads Up Display for User Information).
-class Hud : public Element2D
+class Hud : public Element2D, public EventListener
 {
 
@@ -44,6 +45,7 @@
   void updateWeaponManager();
 
-  void tick(float dt);
   void draw() const;
+  virtual void process(const Event &event);
+
 
   private:
Index: /trunk/src/world_entities/elements/glgui_energywidget.cc
===================================================================
--- /trunk/src/world_entities/elements/glgui_energywidget.cc	(revision 8989)
+++ /trunk/src/world_entities/elements/glgui_energywidget.cc	(revision 8990)
@@ -39,4 +39,5 @@
     this->_bar.setBackgroundTexture(Texture());
     this->_bar.setBackgroundColor(Color(0,0,0,0));
+    this->_bar.setForegroundTexture("maps/gui_element_background_faded.png");
     this->_bar.setForegroundColor(Color(.5, .5, .5, 1));
   }
